import request from '@/utils/request'

// 查询维修站点-站点-班组列表
export function listSiteGroup(query) {
  return request({
    url: '/business/siteGroup/list',
    method: 'get',
    params: query
  })
}

// 查询维修站点-站点-班组详细
export function getSiteGroup(id) {
  return request({
    url: '/business/siteGroup/' + id,
    method: 'get'
  })
}

// 新增维修站点-站点-班组
export function addSiteGroup(data) {
  return request({
    url: '/business/siteGroup',
    method: 'post',
    data: data
  })
}

// 修改维修站点-站点-班组
export function updateSiteGroup(data) {
  return request({
    url: '/business/siteGroup',
    method: 'put',
    data: data
  })
}

// 删除维修站点-站点-班组
export function delSiteGroup(id) {
  return request({
    url: '/business/siteGroup/' + id,
    method: 'delete'
  })
}
